package gis4.al ;

import java.rmi.* ;
import java.net.* ;

public class FabriqueClient {
  public static void main(String args[]) {
    try {
      HelloFabriqueInterface f ;
      f=(HelloFabriqueInterface) Naming.lookup("rmi://"+args[0]+"/fabrique") ;
      HelloInterface h = f.create() ;
      String message = h.getHello() ;
      System.out.println(message) ;
    } catch(ArrayIndexOutOfBoundsException e1) {
      System.err.println("erreur Usage java HelloClient nomServeur") ;
    } catch(NotBoundException e2) {
      System.err.println("hello non référencé")  ;
    } catch(MalformedURLException e3) {
      System.err.println("erreur syntaxe URL") ;
    } catch (RemoteException e4) {
      System.out.println("Erreur accès réseau") ;
    }
  }
}
